
package com.google.api.ads.adwords.jaxws.v201209.cm;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for CriterionTypeGroup.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * <p>
 * <pre>
 * &lt;simpleType name="CriterionTypeGroup">
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string">
 *     &lt;enumeration value="USER_INTEREST_AND_LIST"/>
 *     &lt;enumeration value="VERTICAL"/>
 *     &lt;enumeration value="GENDER"/>
 *     &lt;enumeration value="AGE_RANGE"/>
 *     &lt;enumeration value="PLACEMENT"/>
 *     &lt;enumeration value="UNKNOWN"/>
 *   &lt;/restriction>
 * &lt;/simpleType>
 * </pre>
 * 
 */
@XmlType(name = "CriterionTypeGroup")
@XmlEnum
public enum CriterionTypeGroup {


    /**
     * 
     *                 Criteria for targeting lists of users.  Lists may represent users with particular
     *                 interests, or they may represent users who have interacted with an advertiser's site in
     *                 particular ways.
     *               
     * 
     */
    USER_INTEREST_AND_LIST,

    /**
     * 
     *                 Criteria for targeting similar categories of placements, e.g. 'category::Animals>Pets'
     *                 Used only for content network targeting.
     *               
     * 
     */
    VERTICAL,

    /**
     * 
     *                 Criteria for targeting gender.
     *               
     * 
     */
    GENDER,

    /**
     * 
     *                 Criteria for targeting age ranges.
     *               
     * 
     */
    AGE_RANGE,

    /**
     * 
     *                 Criteria for targeting placements. aka Website. e.g. 'www.flowers4sale.com'
     *               
     * 
     */
    PLACEMENT,

    /**
     * 
     *                 <span class="constraint Rejected">Used for return value only. An enumeration could not be processed, typically due to incompatibility with your WSDL version.</span>
     *               
     * 
     */
    UNKNOWN;

    public String value() {
        return name();
    }

    public static CriterionTypeGroup fromValue(String v) {
        return valueOf(v);
    }

}
